#1 - 02/27/2014 02:52 PM - Hynek Cihlar

Setting decimal precision in the DEFINE VARIABLE statement of an EXTENT with the missing number of array elements produces uncompilable

Java code.

Example:

def var d1 as decimal extent decimals 1 init [1, 2, 3, 4, 5].

def var d2 as decimal extent 5 decimals 2 init [5,4,3,2,1].

def var d3 as decimal extent decimals 3.

def var d4 as decimal extent 1 decimals 4.

def var d5 like d1.

def var d6 like d2.

 

yields the following Java code (only relevant part shown):

         public void init()

         {

            ArrayAssigner.registerDynamicArray(d1);

            d1.setPrecision(1); // ERROR

            TransactionManager.register((Object) d1, (Object) d2, (Object) d3, (Object) d4, (Object) d5, (Obje

ct) d6);

            decimal.setPrecision(d2, 2);

            assignMulti(d3, new decimal(0));

            ArrayAssigner.registerDynamicArray(d3);

            d3.setPrecision(3); // ERROR

            assignMulti(d4, new decimal(0));

            decimal.setPrecision(d4, 4);

            ArrayAssigner.registerDynamicArray(d5);

            d5.setPrecision(1); // ERROR

            decimal.setPrecision(d6, 2);

         }
#2 - 03/03/2014 04:36 PM - Greg Shah

- Assignee set to Hynek Cihlar

- Target version set to Milestone 11

#3 - 04/26/2014 05:23 PM - Hynek Cihlar

- File hc_upd20140426a.zip added

Please review.

#4 - 04/26/2014 05:25 PM - Hynek Cihlar

- Status changed from New to Feedback

#5 - 04/28/2014 02:52 AM - Constantin Asofiei

The change looks good, assuming it fixes the cases at note 1.

#6 - 05/19/2014 01:39 PM - Hynek Cihlar

I accidentally fixed this issue in the issue #2294. This can be closed now.

#7 - 05/19/2014 01:41 PM - Hynek Cihlar

- % Done changed from 0 to 100

#8 - 05/19/2014 02:02 PM - Greg Shah

- Status changed from Feedback to Closed

#9 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

hc_upd20140426a.zip 13.6 KB 04/26/2014 Hynek Cihlar
